eID middleware |

# eIDMW::PTEID_XMLDoc Class Reference

Abstract base class for all the documents. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_XMLDoc:

List of all members.

## Public Member Functions
virtual PTEIDSDK_API | ~PTEID_XMLDoc ()=0
| Destructor.
virtual PTEIDSDK_API bool | isAllowed ()
| The document is allowed.
virtual PTEIDSDK_API PTEID_ByteArray | getXML ()
| Return the document in an XML format.
virtual PTEIDSDK_API PTEID_ByteArray | getCSV ()
| Return the document in an CSV format.
virtual PTEIDSDK_API PTEID_ByteArray | getTLV ()
| Return the document in an TLV format.
virtual PTEIDSDK_API bool | writeXmlToFile (const char *csFilePath)
| Write the xml document into the file csFilePath.
virtual PTEIDSDK_API bool | writeCsvToFile (const char *csFilePath)
| Write the csv document into the file csFilePath.
virtual PTEIDSDK_API bool | writeTlvToFile (const char *csFilePath)
| Write the tlv document into the file csFilePath.
## Protected Member Functions
| PTEID_XMLDoc (const SDK_Context *context, APL_XMLDoc *impl)
| For internal use : Constructor.

## Detailed Description

Abstract base class for all the documents.

## Constructor & Destructor Documentation

virtual PTEIDSDK_API eIDMW::PTEID_XMLDoc::~PTEID_XMLDoc | ( |  | ) | `[pure virtual]`

Destructor.

eIDMW::PTEID_XMLDoc::PTEID_XMLDoc | ( | const SDK_Context * | context,
|  | APL_XMLDoc * | impl |
| ) |  |  | `[protected]`

For internal use : Constructor.

## Member Function Documentation

virtual PTEIDSDK_API PTEID_ByteArray eIDMW::PTEID_XMLDoc::getCSV | ( |  | ) | `[virtual]`

Return the document in an CSV format.

virtual PTEIDSDK_API PTEID_ByteArray eIDMW::PTEID_XMLDoc::getTLV | ( |  | ) | `[virtual]`

Return the document in an TLV format.

virtual PTEIDSDK_API PTEID_ByteArray eIDMW::PTEID_XMLDoc::getXML | ( |  | ) | `[virtual]`

Return the document in an XML format.

virtual PTEIDSDK_API bool eIDMW::PTEID_XMLDoc::isAllowed | ( |  | ) | `[virtual]`

The document is allowed.

virtual PTEIDSDK_API bool eIDMW::PTEID_XMLDoc::writeCsvToFile | ( | const char * | csFilePath | ) | `[virtual]`

Write the csv document into the file csFilePath.

Returns:
  true if succeeded

virtual PTEIDSDK_API bool eIDMW::PTEID_XMLDoc::writeTlvToFile | ( | const char * | csFilePath | ) | `[virtual]`

Write the tlv document into the file csFilePath.

Returns:
  true if succeeded

virtual PTEIDSDK_API bool eIDMW::PTEID_XMLDoc::writeXmlToFile | ( | const char * | csFilePath | ) | `[virtual]`

Write the xml document into the file csFilePath.

Returns:
  true if succeeded

The documentation for this class was generated from the following file:

- eidlib.h